﻿.ui-dialog {
    display: none;
}

.ui-dialog-wrapper {
    position: fixed;
    left: 50%;
    top: 50%;
    visibility: hidden;
    background-color: #fff;
    z-index: 10000;
}

.ui-dialog-wrapper-hide {
    display: none;
}

.ui-dialog-wrapper-show {
    display: block;
    -ms-transform: translate3d(0,0,0);
    -moz-transform: translate3d(0,0,0);
    -o-transform: translate3d(0,0,0);
    -webkit-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
    -ms-animation: bounce linear 0.4s;
    -o-animation: bounce linear 0.4s;
    -moz-animation: bounce linear 0.4s;
    -webkit-animation: bounce linear 0.4s;
    animation: bounce linear 0.4s;
}

@-ms-keyframes bounce{ 
  0% { top: -83px; -webkit-transform: translate3d(0,0,0);transform: translate3d(0,0,0); }
  20% { top: 0;-webkit-transform: translate3d(0,45px,0);transform: translate3d(0,45px,0); }
  30% { top: 0;-webkit-transform: translate3d(0,23px,0);transform: translate3d(0,23px,0); }
  40% { top: 0;-webkit-transform: translate3d(0,43px,0);transform: translate3d(0,43px,0); }
  50% { top: 0;-webkit-transform: translate3d(0,27px,0);transform: translate3d(0,27px,0); }
  60% { top: 0;-webkit-transform: translate3d(0,37px,0);transform: translate3d(0,37px,0); }
  70% { top: 0;-webkit-transform: translate3d(0,30px,0);transform: translate3d(0,30px,0); }
  80% { top: 0;-webkit-transform: translate3d(0,34px,0);transform: translate3d(0,34px,0); }
  90% { top: 0;-webkit-transform: translate3d(0,32px,0);transform: translate3d(0,32px,0); }
  100% { top: 0;-webkit-transform: translate3d(0,33px,0);transform: translate3d(0,33px,0); }
}

@-moz-keyframes bounce{ 
  0% { top: -83px; -webkit-transform: translate3d(0,0,0);transform: translate3d(0,0,0); }
  20% { top: 0;-webkit-transform: translate3d(0,45px,0);transform: translate3d(0,45px,0); }
  30% { top: 0;-webkit-transform: translate3d(0,23px,0);transform: translate3d(0,23px,0); }
  40% { top: 0;-webkit-transform: translate3d(0,43px,0);transform: translate3d(0,43px,0); }
  50% { top: 0;-webkit-transform: translate3d(0,27px,0);transform: translate3d(0,27px,0); }
  60% { top: 0;-webkit-transform: translate3d(0,37px,0);transform: translate3d(0,37px,0); }
  70% { top: 0;-webkit-transform: translate3d(0,30px,0);transform: translate3d(0,30px,0); }
  80% { top: 0;-webkit-transform: translate3d(0,34px,0);transform: translate3d(0,34px,0); }
  90% { top: 0;-webkit-transform: translate3d(0,32px,0);transform: translate3d(0,32px,0); }
  100% { top: 0;-webkit-transform: translate3d(0,33px,0);transform: translate3d(0,33px,0); }
}

@-o-keyframes bounce{ 
  0% { top: -83px; -webkit-transform: translate3d(0,0,0);transform: translate3d(0,0,0); }
  20% { top: 0;-webkit-transform: translate3d(0,45px,0);transform: translate3d(0,45px,0); }
  30% { top: 0;-webkit-transform: translate3d(0,23px,0);transform: translate3d(0,23px,0); }
  40% { top: 0;-webkit-transform: translate3d(0,43px,0);transform: translate3d(0,43px,0); }
  50% { top: 0;-webkit-transform: translate3d(0,27px,0);transform: translate3d(0,27px,0); }
  60% { top: 0;-webkit-transform: translate3d(0,37px,0);transform: translate3d(0,37px,0); }
  70% { top: 0;-webkit-transform: translate3d(0,30px,0);transform: translate3d(0,30px,0); }
  80% { top: 0;-webkit-transform: translate3d(0,34px,0);transform: translate3d(0,34px,0); }
  90% { top: 0;-webkit-transform: translate3d(0,32px,0);transform: translate3d(0,32px,0); }
  100% { top: 0;-webkit-transform: translate3d(0,33px,0);transform: translate3d(0,33px,0); }
}

@-webkit-keyframes bounce{ 
  0% { -webkit-transform: translate3d(0,-2000px,0);transform: translate3d(0,-2000px,0); }
  20% { -webkit-transform: translate3d(0,20px,0);transform: translate3d(0,20px,0); }
  30% { -webkit-transform: translate3d(0,-15px,0);transform: translate3d(0,-15px,0); }
  40% { -webkit-transform: translate3d(0,15px,0);transform: translate3d(0,15px,0); }
  50% { -webkit-transform: translate3d(0,-10px,0);transform: translate3d(0,-10px,0); }
  60% { -webkit-transform: translate3d(0,10px,0);transform: translate3d(0,10px,0); }
  70% { -webkit-transform: translate3d(0,-5px,0);transform: translate3d(0,-5px,0); }
  80% { -webkit-transform: translate3d(0,5px,0);transform: translate3d(0,5px,0); }
  90% { -webkit-transform: translate3d(0,-2px,0);transform: translate3d(0,-2px,0); }
  100% { -webkit-transform: translate3d(0,0,0);transform: translate3d(0,0,0); }
}

@keyframes bounce{ 
  0% { -webkit-transform: translate3d(0,-2000px,0);transform: translate3d(0,-2000px,0); }
  20% { -webkit-transform: translate3d(0,20px,0);transform: translate3d(0,20px,0); }
  30% { -webkit-transform: translate3d(0,-15px,0);transform: translate3d(0,-15px,0); }
  40% { -webkit-transform: translate3d(0,15px,0);transform: translate3d(0,15px,0); }
  50% { -webkit-transform: translate3d(0,-10px,0);transform: translate3d(0,-10px,0); }
  60% { -webkit-transform: translate3d(0,10px,0);transform: translate3d(0,10px,0); }
  70% { -webkit-transform: translate3d(0,-5px,0);transform: translate3d(0,-5px,0); }
  80% { -webkit-transform: translate3d(0,5px,0);transform: translate3d(0,5px,0); }
  90% { -webkit-transform: translate3d(0,-2px,0);transform: translate3d(0,-2px,0); }
  100% { -webkit-transform: translate3d(0,0,0);transform: translate3d(0,0,0); }
}

.ui-dialog-overlay {
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 9999;
}

.ui-dialog-header {
    position: relative;
    line-height: 48px;
    padding-left: 18px;
    border-bottom: 1px solid #d8d8d8;
    background-color: #f8f8f8;
}

    .ui-dialog-header > h3 {
        margin: 0;
        font-size: 18px;
        font-weight: normal;
        color: #615d5d;
    }

.ui-dialog-close {
    position: absolute;
    width: 48px;
    height: 48px;
    top: 0;
    right: 0;
    background-color: transparent;
    border: none;
    border-left: 1px solid #d8d8d8;
    font-size: 22px;
    font-family: 黑体;
    color: #cecece;
}

    .ui-dialog-close:focus {
        outline: none;
        background-color: #fff;
    }

    .ui-dialog-close:hover {
        color: #333;
    }